2018-08-20 05:42 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001852FSSCPFREDpublic2009-01-19 22:37
ReporterFUBAR-BDHR 
Assigned ToGoober5000 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001852: Events seem to have a size limit that crashes FRED during save/load
DescriptionThere seems to be a size limit for events that FRED will allow you to exceed without warning then crash when you try to save the mission. Same crash will happen during load if you add data using notepad (still the best way for copy, past, and replace).

I have not been able to determine what the limit is but it seems to be based more on number of characters then number of elements. For example in the attached mission events Silver and Silver cont are almost identical with the exception of the data. Silver has 200 arguments in the in-sequence but Silver cont wouldn't take that many and I had to reduce it. Of course the initial event had 396 in the one event but that crashed.

It's also not limited to the arguments as I also crashed it by adding a send message sexp to an event that was close to the limit.
Additional Information3.6.9 and 3.6.10 versions up to r5009 tested. The attached mission is a conversion from TBP so don't try to actually play it as all the ships are Ulysses now. To reproduce just add some more arguments to the in-sequence event silver. Not sure how many it will take but a couple should crash it.
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0010463

FUBAR-BDHR (developer)

Looks like the size limit for any one item is 4096 which is around the size of the text for the event when I saved it as it's own file. It was slightly bigger but spaces don't seem to be counted.

~0010473

FUBAR-BDHR (developer)

Just a FYI. FS2 doesn't seem to have the same limit. I just crashed the mission in FRED again and tried it in FS2 for the heck of it and it works.

~0010559

Goober5000 (administrator)

I doubt it; I think the FS2 build simply overwrote memory instead.

I've added a safety check for exceeding the size limit.
+Notes

-Issue History
Date Modified Username Field Change
2008-12-23 13:57 FUBAR-BDHR New Issue
2008-12-23 13:57 FUBAR-BDHR File Added: Vidmaster_MG03.fs2
2008-12-24 23:22 FUBAR-BDHR Note Added: 0010463
2008-12-27 01:17 FUBAR-BDHR Note Added: 0010473
2009-01-19 22:37 Goober5000 Note Added: 0010559
2009-01-19 22:37 Goober5000 Assigned To => Goober5000
2009-01-19 22:37 Goober5000 Status new => resolved
2009-01-19 22:37 Goober5000 Resolution open => fixed
2009-01-19 22:37 Goober5000 Fixed in Version => 3.6.10
+Issue History